Bug 6102 - net rpc user segfaults
net rpc user segfaults
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Client tools
3.3.0
Other Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 17:59 UTC by David Markey
Modified: 2009-03-26 04:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Markey 2009-02-11 17:59:41 UTC
Starting program: /opt/samab3.3/bin/net -U root -S kerry rpc user
Enter root's password:

Program received signal SIGSEGV, Segmentation fault.
rpc_user_list (c=0x7f7a854f2120, argc=<value optimized out>, argv=<value optimized out>) at utils/net_rpc.c:871
871                                     printf("%s\n", info->usri1_name);
(gdb) backtrace
#0  rpc_user_list (c=0x7f7a854f2120, argc=<value optimized out>, argv=<value optimized out>) at utils/net_rpc.c:871
#1  0x00007f7a84ed3273 in net_rpc_user (c=0x7f7a854f2120, argc=0, argv=0x7f7a854f2028) at utils/net_rpc.c:959
#2  0x00007f7a84eeaab9 in net_run_function (c=0x7f7a854f2120, argc=1, argv=0x7f7a854f2020, whoami=0x7f7a851d7355 "net rpc", table=0x7fff8d2d2688) at utils/net_util.c:571
#3  0x00007f7a84ecb14f in net_rpc (c=0x3, argc=-2082997648, argv=0x1) at utils/net_rpc.c:7212
#4  0x00007f7a84eeaab9 in net_run_function (c=0x7f7a854f2120, argc=2, argv=0x7f7a854f2018, whoami=0x7f7a851d4004 "net", table=0x7f7a854e69e0) at utils/net_util.c:571
#5  0x00007f7a84ec88f8 in main (argc=7, argv=<value optimized out>) at utils/net.c:767


I think its to do with the amount of users.

This is with 3.2 net:
net -S kerry -U root rpc user | wc -l
Enter root's password:
791
Comment 1 Guenther Deschner 2009-02-11 18:09:37 UTC
looking into this
Comment 2 David Markey 2009-03-02 18:45:46 UTC
Still in 3.3.1
Comment 3 Guenther Deschner 2009-03-26 04:48:39 UTC
Ok, this should be fixed with http://git.samba.org/?p=samba.git;a=commitdiff;h=fe102f53d1ac6f888bd559eaf52b6a166d5f78d3 and will be in next releases.